<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
	
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

$dates=date("d.m.Y");  
$times=date("H:i:s");   
$time=time();
$id=(int)$id;

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo'<img src="../images/img/partners.gif" alt=""> <b>Доска объявлений</b><br><br>';



//---------------------- Вывод всех разделов --------------------------------//
if(!isset($action)) {
$lines = file("../local/databoard/database.dat");
$count_board = count($lines);
if (file_exists("../local/databoard/database.dat") && $count_board>0) {


for($i=0; $i<$count_board; $i++){
$dt = explode("|", $lines[$i]);

$total_board=0;
if (file_exists("../local/databoard/$dt[2].dat")){
$filec = file("../local/databoard/$dt[2].dat"); 
$total_board = count($filec);}

echo '<div class=b><img src="../images/img/forums.gif" alt=""> ';
echo '<b><a href="board.php?action=board&amp;id='.$dt[2].'">'.$dt[0].'</a></b> ('.(int)$total_board.')</div>'; 

echo '<div>'.$dt[1].'<br>';

if ($dostup==101 || $dostup==102){
echo '<a href="board.php?menu=edit&amp;rd='.$i.'&amp;'.SID.'">[Edit]</a> <a href="board.php?action=delrub&amp;xd='.$i.'&amp;'.SID.'">[Del]</a><br>';}
echo '</div>';
}

}else{echo'<br><b>Доска объявлений пуста, рубрики еще не созданы!</b><br>';}

//------------------------ Форма редактирование рубрики ----------------------------//
if ($dostup==101 || $dostup==102){
if ($menu=="edit"){
$dti = explode("|",$lines[$rd]);


if($config_themes!="wml"){
echo '<hr><form action="board.php?action=edit&amp;rd='.$rd.'&amp;id='.$dti[2].'&amp;'.SID.'" method="post">
Рубрика:<br><input type="text"  value="'.$dti[0].'" name="zag" /><br>
Описание:<br><textarea cols="25" rows="3" name="msg">'.$dti[1].'</textarea>
<br><input type="submit" value="Изменить рубрику" /></form><hr>';
}else{

echo'--------------------<br>Рубрика:<br><input name="zag" value="'.$dti[0].'"/><br>';
echo'Описание:<br><input name="msg" value="'.$dti[1].'"/><br>';
echo'<br><anchor>Изменить рубрику';
echo'<go href="board.php?action=edit&amp;rd='.$rd.'&amp;id='.$dti[2].'&amp;'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="zag" value="$(zag)"/>';
echo'</go></anchor><br>--------------------<br>';
}



}else {
if($config_themes!="wml"){	
echo '<hr><form action="board.php?action=add&amp;'.SID.'" method="post">
Рубрика:<br><input type="text"  value="" name="zag" /><br>
Описание:<br><textarea cols="25" rows="3" name="msg"></textarea>
<br><input type="submit" value="Добавить рубрику" /></form><hr>';
}else{

echo'--------------------<br>Рубрика:<br><input name="zag"/><br>';
echo'Описание:<br><input name="msg"/><br>';
echo'<br><anchor>Добавить рубрику';
echo'<go href="board.php?action=add&amp;'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="zag" value="$(zag)"/>';
echo'</go></anchor><br>--------------------<br>';
}

}}
}



//------------------------ Вывод объявлений в текущей категории ----------------------------//
if ($action=="board")  {

$total=0;	
$lines = file("../local/databoard/$id.dat");
$lines = array_reverse($lines);
$total = count($lines);
	
$li=file("../local/databoard/database.dat");
foreach($li as $k){
$dtu=explode("|",$k);
if($dtu[2]==$id){
echo '<b><img src="../images/img/themes.gif" alt=""> '.$dtu[0].'</b> ('.$dtu[1].')<hr>';
}}		
	
if ($total>0) {

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_boardspost){ $end = $total; }
else {$end = $start + $config_boardspost; }
for ($i = $start; $i < $end; $i++){	
	
$data = explode("|",$lines[$i]);


$data[2]=utf_to_win($data[2]);
if (strlen($data[2])>200) {
$newtext = wordwrap($data[2], 200, "|", 1); 
$textarray = explode('|',$newtext);
$data[2]=$textarray[0].'...';}
$data[2]=win_to_utf($data[2]);


echo '<div class=b><img src="../images/img/forums.gif" alt=""> '.($i+1).'. <b>'.$data[0].'</b> ('.$data[3].') ';
echo '<b><a href="board.php?action=deltopic&amp;id='.$id.'&amp;start='.$start.'&amp;del='.$data[4].'&amp;'.SID.'"><font color="#FF0000">[Del]</font></a></b></div>';
echo '<div>Текст объявления: '.$data[2].'<br>';
echo 'Автор объявления: <a href="../pages/anketa.php?uz='.$data[1].'&amp;'.SID.'">'.nickname($data[1]).'</a><br>';
echo '</div>';	
	
}

echo'<hr>'; 
if ($start != 0) {echo '<a href="board.php?action=board&amp;id='.$id.'&amp;start='.($start - $config_boardspost).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_boardspost) {echo ' <a href="board.php?action=board&amp;id='.$id.'&amp;start='.($start + $config_boardspost).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}


if($total>0){
$ba=ceil($total/$config_boardspost);
$ba2=floor($total/$config_boardspost)*$config_boardspost;

echo '<br><hr>Страницы:';
$asd=$start-($config_boardspost*4);
$asd2=$start+($config_boardspost*5);

if($asd<$total && $asd>0){echo ' <a href="board.php?action=board&amp;id='.$id.'&amp;start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_boardspost);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
} else {
echo ' <a href="board.php?action=board&amp;id='.$id.'&amp;start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_boardspost;}
if($asd2<$total){echo ' ... <a href="board.php?action=board&amp;id='.$id.'&amp;start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';
}
}


}else{echo '<b>Объявлений еще нет, <a href="../board/add.php?id='.$id.'&amp;'.SID.'">будь первым!</a></b><br>';}

echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="board.php?'.SID.'">Вернуться</a>';
}





//------------------------ Изменение рубрики ----------------------------//
if ($action=="edit") {
if ($dostup==101 || $dostup==102){
if ($rd!="" && $id!="" && $msg!="" && $zag!=""){

$msg=check($msg);
$zag=check($zag);
$rd=(int)$rd;
$id=(int)$id;

$text=$zag.'|'.$msg.'|'.$id.'|';
$text=preg_replace ("|[\r\n]+|si","",$text);

$file=file("../local/databoard/database.dat");
$fp=fopen("../local/databoard/database.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
//Рубрика изменена успешно!
header ("Location: board.php?isset=mp_editboard&".SID);
}else{header ("Location: board.php?isset=mp_noeditboard&".SID);}
}}


//------------------------ Добавление oбъявления ----------------------------//
if ($action=="add") { 
if ($dostup==101 || $dostup==102){
if ($msg!="" && $zag!=""){

$lines = file("../local/databoard/database.dat");
$lines = array_reverse($lines);
$dt = explode("|", $lines[0]);
$id=$dt[2]+1;

$msg=check($msg);
$zag=check($zag);

$text=$zag.'|'.$msg.'|'.$id.'|';
$text=preg_replace ("|[\r\n]+|si","",$text);

$fp=fopen("../local/databoard/database.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0666);
chmod("../local/databoard/database.dat", 0666);

//Рубрика успешно добавлена!
header ("Location: board.php?isset=mp_board&".SID);
}else{header ("Location: board.php?isset=mp_noboard&".SID);}
}}






//------------------------ Удаление рубрики ----------------------------//
if ($action=="delrub"){
if ($dostup==101 || $dostup==102){
if ($xd!=""){
	
$file=file("../local/databoard/database.dat");

$dt = explode("|", $file[$xd]);
unlink ("../local/databoard/$dt[2].dat"); 

$fp=fopen("../local/databoard/database.dat","w");
flock ($fp,LOCK_EX); 
for ($i=0;$i< sizeof($file);$i++) { if ($i==$xd) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN); 
fclose($fp);

header ("Location: board.php?isset=mp_delboard&".SID);
}else{header ("Location: board.php?isset=mp_nodelboard&".SID);}
}}




//----------------------- Удаление выбранного объявления -------------------------//
if ($action=="deltopic"){
if ($id!="" && $del!=""){

$file=file("../local/databoard/$id.dat");
$count=count($file);
	
for ($b=0; $b<$count; $b++) { $idbase=explode("|",$file[$b]); if ( $del == $idbase[4]) { 
$stroka=$b; break;
}}

if($stroka!==""){
$fp=fopen("../local/databoard/$id.dat","w");
flock ($fp,LOCK_EX); 
for ($i=0;$i< sizeof($file);$i++) { if ($i==$stroka) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0777);
chmod("../local/databoard/$id.dat", 0777);
}
//Объявление успешно удалено!
header ("Location: board.php?action=board&id=$id&start=$start&isset=mp_delboardtop&".SID);
}else{header ("Location: board.php?action=board&id=$id&start=$start&isset=mp_nodelboardtop&".SID);}
}
 
 
 
 
//----------------------- Концовка -------------------------//

echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
